Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Building the Enchant Voikko provider is disabled by default because it should
# be included in Enchant 1.4.
# Pass '--with enchant' on rpmbuild command-line to enable it.
%bcond_with enchant

Name:           tmispell-voikko
Version:        0.7.1
Release:        alt3_34
Summary:        An Ispell compatible front-end for spell-checking modules

License:        GPLv2+
URL:            https://voikko.puimula.org/
Source0:        https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
Source1:        https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz.asc
# Keyring created by running
# gpg2 --export --export-options export-minimal "AC5D 65F1 0C85 96D7 E2DA E263 3D30 9B60 4AE3 942E" > gpgkey-AC5D65F10C8596D7E2DAE2633D309B604AE3942E.gpg
# See https://voikko.puimula.org/sources.html
Source2:        gpgkey-AC5D65F10C8596D7E2DAE2633D309B604AE3942E.gpg
Patch0:         tmispell-voikko-0.7.1-glib-2.31-fix.patch
Patch1:         0001-redraw_minimenu-add-format-string.patch

BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  libvoikko-devel libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel gettext-tools libglibmm-devel
%if %{with enchant}
BuildRequires: libenchant-devel
%endif
Source44: import.info

%description
Tmispell is an Ispell compatible front-end for spell-checking
modules. To do the actual spell-checking for Finnish language it uses
the spell-checking system Voikko.

%package -n 	enchant-voikko
Group: System/Libraries
Summary:        Voikko spellchecker support for Enchant


%description -n enchant-voikko
Voikko spellchecker support for Enchant.

# TODO: /usr/bin/ispell should be a symlink to /usr/bin/tmispell and the real
# ispell should be renamed to e.g. /usr/bin/ispell.real for KDE etc. to work.
# The other option would be to modify /usr/bin/ispell to call
# /usr/bin/tmispell when it's called with Finnish. If neither of these can be
# done, it's worth it to have /usr/bin/tmispell as a command line client for
# Voikko.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%if %{with enchant}
%configure --disable-dependency-tracking
%else
%configure --disable-dependency-tracking --disable-enchant
%endif

%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%if %{with enchant}
# Remove static archive
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Remove the symlinks and move the library itself into a better name
rm $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so.1 \
   $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so
mv $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so.* \
   $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so
%endif
# Install the configuration file
sed -i -e 's/ispell.real/ispell/' tmispell.conf.example
install -Dpm 0644 tmispell.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/tmispell.conf
# Fake Finnish dictionary for ispell clients. Commented out for now.
# These won't actually work for KDE etc. unless the binary is in
# /usr/bin/ispell (or /usr/bin/ispell calls tmispell). These files should always 
# be installed into %{_prefix}/lib/ispell/ even though it's an rpmlint error
# because my testing shows that KDE recognizes them from there but not from 
# /usr/share.
#install -dm 755 %{buildroot}%{_prefix}/lib/ispell
#touch %{buildroot}%{_prefix}/lib/ispell/suomi.{hash,aff}
%find_lang %{name}



%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README README.fi
%config(noreplace) %{_sysconfdir}/tmispell.conf
%{_mandir}/man1/tmispell*
%{_mandir}/man5/tmispell*
%{_bindir}/tmispell
# Fake dictionary directory, commented out for now
#%{_prefix}/lib/ispell

%if %{with enchant}
%files -n enchant-voikko
%{_libdir}/enchant/libenchant_voikko.so
%endif


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_34
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_33
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_32
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_31
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_28
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_27
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt3_26
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt3_25
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_25
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_24
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_23
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_22
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_21
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_20
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_17
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 0.7.1-alt2_13
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_12
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_11
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_10
- initial fc import

